PublicApiContactImports
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"headline": "<string>",
"linkedinUrl": "<string>",
"company": "<string>",
"title": "<string>",
"phone": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"enrichment": {
"source": "<string>",
"enrichedAt": "2023-11-07T05:31:56Z"
},
"timezone": "<string>",
"customFields": {},
"tags": [
"<string>"
]
}
],
"listId": "<string>",
"source": "csv-import",
"tags": [
"<string>"
],
"idempotencyKey": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
email: '<string>',
firstName: '<string>',
lastName: '<string>',
fullName: '<string>',
headline: '<string>',
linkedinUrl: '<string>',
company: '<string>',
title: '<string>',
phone: '<string>',
location: {city: '<string>', state: '<string>', country: '<string>'},
enrichment: {source: '<string>', enrichedAt: '2023-11-07T05:31:56Z'},
timezone: '<string>',
customFields: {},
tags: ['<string>']
}
],
listId: '<string>',
source: 'csv-import',
tags: ['<string>'],
idempotencyKey: '<string>'
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Contacts
PublicApiContactImports
POST /api/v1/organizations//workspaces//contact-imports
POST
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
contact-imports
PublicApiContactImports
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"headline": "<string>",
"linkedinUrl": "<string>",
"company": "<string>",
"title": "<string>",
"phone": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"enrichment": {
"source": "<string>",
"enrichedAt": "2023-11-07T05:31:56Z"
},
"timezone": "<string>",
"customFields": {},
"tags": [
"<string>"
]
}
],
"listId": "<string>",
"source": "csv-import",
"tags": [
"<string>"
],
"idempotencyKey": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
email: '<string>',
firstName: '<string>',
lastName: '<string>',
fullName: '<string>',
headline: '<string>',
linkedinUrl: '<string>',
company: '<string>',
title: '<string>',
phone: '<string>',
location: {city: '<string>', state: '<string>', country: '<string>'},
enrichment: {source: '<string>', enrichedAt: '2023-11-07T05:31:56Z'},
timezone: '<string>',
customFields: {},
tags: ['<string>']
}
],
listId: '<string>',
source: 'csv-import',
tags: ['<string>'],
idempotencyKey: '<string>'
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Body
application/json
Response
Successful response
The response is of type object.